[Buildroot] svn commit: trunk/buildroot/toolchain/dependencies

From: aldot at uclibc.org <hidden>
Date: 2007-02-15 14:07:09

Author: aldot
Date: 2007-02-15 06:07:08 -0800 (Thu, 15 Feb 2007)
New Revision: 17897

Log:
- warn about missing makeinfo on the host.


Modified:
   trunk/buildroot/toolchain/dependencies/dependencies.sh


Changeset:
Modified: trunk/buildroot/toolchain/dependencies/dependencies.sh
===================================================================
--- trunk/buildroot/toolchain/dependencies/dependencies.sh	2007-02-15 13:54:25 UTC (rev 17896)
+++ trunk/buildroot/toolchain/dependencies/dependencies.sh	2007-02-15 14:07:08 UTC (rev 17897)
@@ -248,9 +248,14 @@
 echo "gettext installed:				Ok"
 
 
+if ! which makeinfo > /dev/null ; then \
+	echo "makeinfo installed:		    FALSE"
+	/bin/echo -e "\n\nMost likely some packages will fail to build their documentation"
+	/bin/echo -e "Either install 'makeinfo' on your host or fix the respective packages"
+fi
+echo "makeinfo installed:				Ok"
 
 
-
 #############################################################
 #
 # All done
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help